- Qt 5.15
- Qt 3D
- C++ Classes
- QAnimationCallback
- Qt 5.15.18 Reference Documentation

# QAnimationCallback Class

class Qt3DAnimation::QAnimationCallback

Represents an animation callback object. More...

Header: | #include <QAnimationCallback>
qmake: | QT += 3danimation

- List of all members, including inherited members

## Public Types

enum | Flag { OnOwningThread, OnThreadPool }
flags | Flags

## Public Functions

virtual void | valueChanged(const QVariant &value) = 0

## Detailed Description

## Member Type Documentation

### enum QAnimationCallback::Flag
flags QAnimationCallback::Flags

Flags to indicate how the valueChanged() function is called.

Constant | Value | Description
--- | --- | ---
`Qt3DAnimation::QAnimationCallback::OnOwningThread` | `0x0` | Callback function is called on the owning (GUI or main) thread.
`Qt3DAnimation::QAnimationCallback::OnThreadPool` | `0x01` | Callback function is called on the thread pool's worker thread.

The Flags type is a typedef for QFlags<Flag>. It stores an OR combination of Flag values.

## Member Function Documentation

### `[pure virtual]` void QAnimationCallback::valueChanged(const QVariant &value)

Callback function that is triggered for changes in the animated value.

See also QCallbackMapping::setCallback().